# $Revision: 1.42 $, $Date: 2011/11/28 09:20:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MLDBM
%define		pnam	MLDBM
Summary:	MLDBM - store multi-level hash structure in single level tied hash
Summary(pl.UTF-8):	MLDBM - przechowywanie wielopoziomowej struktury haszy w jednopoziomowym haszu związanym
Name:		perl-MLDBM
Version:	2.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	b2793c419136fc11082e1ed1b564aeff
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-FreezeThaw
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLDBM Perl module can serve as a transparent interface to any TIEHASH
package that is required to store arbitrary perl data, including
nested references. Thus, this module can be used for storing
references and other arbitrary data within DBM databases.

%description -l pl.UTF-8
Moduł Perla MLDBM może służyć za przezroczysty interfejs do dowolnego
pakietu TIEHASH, od którego wymaga się przechowywania dowolnych danych
perla, włącznie z zagnieżdżonymi referencjami. Zatem moduł ten służy
do przychowywania referencji oraz innych dowolnych danych w bazach
DBM.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MLDBM.pm
%{perl_vendorlib}/MLDBM
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MLDBM.spec,v $
Revision 1.42  2011/11/28 09:20:36  arekm
- up to 2.04

Revision 1.41  2008/03/03 20:57:14  wolvverine
- rel.6

Revision 1.40  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.38  2007/01/16 21:32:55  glen
- missing language param; rel 5

Revision 1.37  2006/08/23 22:57:13  radek
- reverted last change (wrong spec)

Revision 1.36  2006/08/23 18:37:07  radek
- BR: perl-MLDBM perl-Test-Pod for tests

Revision 1.35  2004/11/03 22:30:31  paladine
- formatting

Revision 1.34  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.33  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.32  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.31  2004/05/07 01:09:22  ankry
- rel. 3

Revision 1.30  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.28  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.27  2004/04/20 23:59:33  ankry
- ported to new bconds

Revision 1.26  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.25  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/08/09 21:24:55  ankry
- some pl translations, cosmetics

Revision 1.23  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.20  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.18  2003/02/18 15:35:56  ankry
- massive attack: change CPAN URLs

Revision 1.17  2002/11/26 00:14:09  ankry
- Massive attack: new %doc, use %{_examplesdir} and proper attrs therein

Revision 1.16  2002/09/27 14:11:08  ankry
- added tests, translations; cleaning
- version 2.01, rel. 1

Revision 1.15  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:29:40  depesz
- adapterized

Revision 1.12  2002/01/18 02:14:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:10  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/11 02:03:52  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:14  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
